<script lang="ts" setup>
import { md } from '@distromade/distro-cms';
import { useHead } from '#imports';
import { useThemeContent } from '~/composables';
import json from '~/content/return-policy.json';

type Content = typeof json;
type MD = Content['cms']['markdownElements'];

const { mdElements, pageTitle, key } = await useThemeContent<MD, Text>('/return-policy');

useHead({
  title: () => pageTitle.value,
});
</script>

<template>
  <section class="content markdown" :key="key" v-html="md(mdElements.policy)" />
</template>
